%define name		blowfish-j
%define version		2.12
%define zipname		bfj
%define zipversion	212
%define release		1jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	A Blowfish implementation in Java
License:	LGPL
Url: 		http://www.lassekolb.info/bfacs.htm
Source0:	http://www.lassekolb.info/bfj212.zip
Source1:	%{name}-build.xml
BuildRequires:	ant
BuildRequires:  jpackage-utils >= 0:1.5
Group: 		Development/Java
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage Project

%description
The Blowfish implementation in Java, very fast ECB and CBC 
encryption. Comes with the BlowfishEasy class for simple string 
encryption, plus a solution for streaming.

%package        demo
Summary:        Examples for %{name}
Group:          Development/Java

%description    demo
Examples for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}

%prep
%setup -c -n %{name}-%{version}
[ ! -f build.xml ] && cp -a %{SOURCE1} build.xml

%build
[ ! -e "$JAVA_HOME" ] && export JAVA_HOME="%{_jvmdir}/java"
unset CLASSPATH
ant clean dist javadoc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 dist/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 dist/lib/%{name}-test.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-test-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,755)
%doc license.txt README.TXT
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files demo
%defattr(0644,root,root,0755)
%doc BlowfishJ/test/*.java
%{_javadir}/%{name}-test.jar
%{_javadir}/%{name}-test-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Sat Oct 16 2004 David Walluck <david@jpackage.org> 0:2.12-1jpp
- 2.12
- rebuild for JPackage 1.6

* Thu Mar 27 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 0:2.01-1jpp
- Initial packaging
